
Ruby - Bug #2840

Tk doesn't built in mingw

03/06/2010 04:07 AM - rogerdpack (Roger Pack)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: mingw Backport:  

Description

=begin

Currently the tk extension "search" finds existing Tk headers (ex: c:\Tcl), but then fails when it tries to compile with them.

Find Tcl/Tk libraries. Make tcltklib.so which is required by Ruby/Tk.

make[1]: Entering directory `/c/dev/ruby/downloads/ruby_trunk/ext/tk'

../../miniruby.exe -I'../..' -I'../.././lib' -I'../../.ext/i386-mingw32' -I'../../.ext/common' -I./- -I'../.././ext' -rpurelib.rb -e "puts 'EXPORTS',

'Init_tcltklib'"  > tcltklib-i386-mingw32.def

gcc -I. -I../../.ext/include/i386-mingw32 -I../.././include -I../.././ext/tk   -DRUBY_EXTCONF_H="extconf.h"    -DPACKAGE_NAME=""

-DPACKAGE_TARNAME="" -DPACKAGE_VERSION="" -DPACKAGE_STRING="" -DPACKAGE_BUGREPORT=""

-DHAVE_NO_SEH=1 -DEXCEPTION_DISPOSITION=int -DWITH_TCL_ENABLE_THREAD=0 -O3 -g -Wall -Wno-unused-parameter

-Wno-parentheses -Wpointer-arith -Wwrite-strings -Wno-long-long  -o stubs.o -c stubs.c

In file included from stubs.c:8:

stubs.h:1:17: tcl.h: No such file or directory

In file included from stubs.c:8:

stubs.h:8: error: syntax error before '*' token

=end

Associated revisions

Revision 57389af1be225b018f59ad5fdcf26ccf7a549f93 - 03/13/2010 01:07 AM - nagai (Hidetoshi Nagai)

ext/tk/extconf.rb: fix [Bug #2840] Tk doesn't built in mingw.

ext/tk/lib/tk.rb: forgot updating RELEASE_DATE at last commit.

ext/tk/tkutil/tkutil.c: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_8@26899 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 57389af1be225b018f59ad5fdcf26ccf7a549f93 - 03/13/2010 01:07 AM - nagai (Hidetoshi Nagai)

ext/tk/extconf.rb: fix [Bug #2840] Tk doesn't built in mingw.

ext/tk/lib/tk.rb: forgot updating RELEASE_DATE at last commit.

ext/tk/tkutil/tkutil.c: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_8@26899 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 57389af1 - 03/13/2010 01:07 AM - nagai (Hidetoshi Nagai)

ext/tk/extconf.rb: fix [Bug #2840] Tk doesn't built in mingw.

ext/tk/lib/tk.rb: forgot updating RELEASE_DATE at last commit.

ext/tk/tkutil/tkutil.c: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_8@26899 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision fd684f1082e25f1752ba2bfcd7c3b3525261795b - 03/13/2010 01:07 AM - nagai (Hidetoshi Nagai)

ext/tk/extconf.rb: fix [Bug #2840] Tk doesn't built in mingw.

ext/tk/lib/tk.rb: forgot updating RELEASE_DATE at last commit.

ext/tk/tkutil/tkutil.c: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@26901 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision fd684f1082e25f1752ba2bfcd7c3b3525261795b - 03/13/2010 01:07 AM - nagai (Hidetoshi Nagai)
ext/tk/extconf.rb: fix [Bug #2840] Tk doesn't built in mingw.

ext/tk/lib/tk.rb: forgot updating RELEASE_DATE at last commit.

ext/tk/tkutil/tkutil.c: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@26901 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision fd684f10 - 03/13/2010 01:07 AM - nagai (Hidetoshi Nagai)

ext/tk/extconf.rb: fix [Bug #2840] Tk doesn't built in mingw.

ext/tk/lib/tk.rb: forgot updating RELEASE_DATE at last commit.

ext/tk/tkutil/tkutil.c: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@26901 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/13/2010 10:17 AM - nagai (Hidetoshi Nagai)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r26901.

Roger, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
